%Profile

%Open files
fileV='PV0003.asc';
fileCM='PCM0003.asc';

dataV = textread(fileV,'','delimiter',';','headerlines',7);
dataCM = textread(fileCM,'','delimiter',';','headerlines',7);
nrows=size(dataV,1);
ncolumns=size(dataV,2);
lengthh = length(dataV);

%Conversion pulse into meters 9939 puls = 1m
x  = 1/9939*dataV(:,1); 
dx = x(2) - x(1); f = 1/dx;

% startmain = 26800;
% stopmain  = 27400;
%startmain = 1;
%stopmain  = 1;

%start=1;
%stop=lengte;
% start=6500;
% stop=30000;

%l1 = 21.455 - 2.5*(data(start:stop, 2));
%l2 = 21.49 - 2.5*(data(start:stop, 3));
%l3 = 21.54 - 2.5*(data(start:stop, 4));
%l4 = 21.54 - 2.5*(data(start:stop, 5));
%l5 = 21.575 - 2.5*(data(start:stop, 6));

l1V=dataV(:,2);
l2V=dataV(:,3);
l3V=dataV(:,4);
l4V=dataV(:,5);
l5V=dataV(:,6);

l1CM=dataCM(:,2);
l2CM=dataCM(:,3);
l3CM=dataCM(:,4);
l4CM=dataCM(:,5);
l5CM=dataCM(:,6);

%lengtes = length(l1);
%fprintf( 1, ' %s\n', [ 'Meting: ' filenaam ] ) ; 
%fprintf( 1, ' Range l            = %15.5f\n',   range(l1) ) ;

%s_l1_v  = num2str(range(l1));  s_l1  = [' l1  range = ' s_l1_v ' cm'];
%s_l2_v  = num2str(range(l2));  s_l2  = [' l2  range = ' s_l2_v ' cm'];
%s_l3_v  = num2str(range(l3));  s_l3  = [' l3  range = ' s_l3_v ' cm'];
%s_l4_v  = num2str(range(l4));  s_l4  = [' l4  range = ' s_l4_v ' cm'];


figure(1)
plot(x,l1V,'r','LineWidth',1); hold on;
plot(x,l2V,'k','LineWidth',1);
plot(x,l3V,'b','LineWidth',1);
plot(x,l4V,'g','LineWidth',1);
plot(x,l5V,'y','LineWidth',1);

legend('l1V','l2V','l3V','l4V','l5V');
title([ 'File: ' fileV ]);
ylabel('[ V ]');
xlabel(' Distance [ m ] ');
hold off;

figure(2)
plot(x,l1CM,'r','LineWidth',1); hold on;
plot(x,l2CM,'k','LineWidth',1);
plot(x,l3CM,'b','LineWidth',1);
plot(x,l4CM,'g','LineWidth',1);
plot(x,l5CM,'y','LineWidth',1);

legend('l1CM','l2CM','l3CM','l4CM','l5CM');
title([ 'File: ' fileCM ]);
ylabel('[ cm ]');
xlabel(' Distance [ m ] ');
hold off;

%set(h,'Interpreter','none');
%title([ 'Meting: ' filenaam ]);
%ylabel('[ cm ]');
%xlabel(' Afstand [ m ] ');
