%Water Level

%Open file
fileV='WLV0001.asc';
fileCM='WLCM0001.asc';

dataV = textread(fileV,'','delimiter',';','headerlines',7);
dataCM = textread(fileCM,'','delimiter',';','headerlines',7);
nrows=size(dataV,1);
ncolumns=size(dataV,2);
lengthh = length(dataV);

t=dataV(:,1);
v=dataV(:,2);
cm=dataCM(:,2);

figure(1)
plot(t,v,'b'); hold on;
legend('V');
title([ 'File: ' fileV ]);
ylabel('[ V ]');
xlabel(' Time [ s ] ');
hold off;

figure(2)
plot(t,cm,'b'); hold on;
legend('cm');
title([ 'File: ' fileCM ]);
ylabel('[ cm ]');
xlabel(' Time [ s ] ');
hold off;
