% plotten__v1.m
% 
clc; clear all; close all;

filenaam='P00000008.ASC';

%inlezen ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
lengte = length(data);

% Beschikbare lijnkleuren:
% linecolour='kbcgymrkbcgymrkbcgymrkbcgymrkbcgymr';
%

x  = 0.000101152*data(1:lengte, 1); % in [m] % calibratie 2000 pulsen = 1 m ???
dx = x(2) - x(1); f = 1/dx;

% startmain = 26800;
% stopmain  = 27400;
startmain = 1;
stopmain  = 1;

start=1;
stop=lengte;
% start=6500;
% stop=30000;

l1 = 21.455 - 2.5*(data(start:stop, 2));
l2 = 21.49 - 2.5*(data(start:stop, 3));
l3 = 21.54 - 2.5*(data(start:stop, 4));
l4 = 21.54 - 2.5*(data(start:stop, 5));
l5 = 21.575 - 2.5*(data(start:stop, 6));

lengtes = length(l1);

fprintf( 1, ' %s\n', [ 'Meting: ' filenaam ] ) ; 
fprintf( 1, ' Range l            = %15.5f\n',   range(l1) ) ;

s_l1_v  = num2str(range(l1));  s_l1  = [' l1  range = ' s_l1_v ' cm'];
s_l2_v  = num2str(range(l2));  s_l2  = [' l2  range = ' s_l2_v ' cm'];
s_l3_v  = num2str(range(l3));  s_l3  = [' l3  range = ' s_l3_v ' cm'];
s_l4_v  = num2str(range(l4));  s_l4  = [' l4  range = ' s_l4_v ' cm'];


% subplot(2,1,1);
plot(x(1:lengtes),l1(1:lengtes),'r','LineWidth',1); hold on;
plot(x(1:lengtes),l2(1:lengtes),'k','LineWidth',1);
plot(x(1:lengtes),l3(1:lengtes),'b','LineWidth',1);
plot(x(1:lengtes),l4(1:lengtes),'g','LineWidth',1);
plot(x(1:lengtes),l5(1:lengtes),'y','LineWidth',1);

h = legend(s_l1,s_l2,s_l3,s_l4,s_l5);

set(h,'Interpreter','none');
title([ 'Meting: ' filenaam ]);
ylabel('[ cm ]');
xlabel(' Afstand [ m ] ');
hold off;
